"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* --------------------------------------------------------------------------------------------
 * Copyright (c) Remy Suen. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
const vscode_languageserver_1 = require("vscode-languageserver");
const instruction_1 = require("../instruction");
class Copy extends instruction_1.Instruction {
    constructor(document, range, escapeChar, instruction, instructionRange) {
        super(document, range, escapeChar, instruction, instructionRange);
    }
    getFromValue() {
        return this.getRangeContent(this.getFromValueRange());
    }
    getFromValueRange() {
        let range = this.getFromRange();
        if (range === null) {
            return null;
        }
        return vscode_languageserver_1.Range.create(vscode_languageserver_1.Position.create(range.start.line, range.start.character + 7), range.end);
    }
    getFromRange() {
        let args = this.getArguments();
        if (args.length >= 1 && args[0].getValue().toLowerCase().indexOf("--from=") === 0) {
            return args[0].getRange();
        }
        return null;
    }
}
exports.Copy = Copy;
